SystemOrganization addCategory: #MiVillanoFavorito!

TestCase subclass: #TestsVillanoFavorito
	instanceVariableNames: 'unMinion unSuero arma1 arma2 arma3 villano ciudad unaCiudad piramide sueroMutante luna roboPiramide roboSueroMutante roboLuna congelamiento otroMinion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:49'!
setUp
piramide := Piramide new.
sueroMutante := SueroMutante new.
luna := Luna new.

unaCiudad := Ciudad new.
unaCiudad agregarObjeto: piramide.
unaCiudad agregarObjeto: sueroMutante.
unaCiudad agregarObjeto: luna.

villano := Villano new.
villano ciudad: unaCiudad.

unMinion := (villano nuevoMinion).
unMinion alimentar: 10.

arma1 := Arma new.
arma1 nombre: 'Rayo laser'.
arma1 potencia: 10.

arma2 := Arma new.
arma2 nombre: 'Rayo congelante'.
arma2 potencia: 15.

arma3 := Arma new.
arma3 nombre: 'Rayo para encoger'.
arma3 potencia: 12.

roboPiramide := Robar new.
roboPiramide objetoARobar: piramide.

roboSueroMutante := Robar new.
roboSueroMutante objetoARobar: sueroMutante.

roboLuna:= Robar new.
roboLuna objetoARobar: luna.

congelamiento := Congelar new.
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 23:22'!
testCantidadDeBananas

self assert: (unMinion cantidadDeBananas) equals: 15.
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:42'!
testCantidadDeObjetosDeCiudad

self assert: (unaCiudad objetos size) equals: 3.
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:34'!
testCongelamiento
unMinion otorgarArma: arma2.
villano planificar: congelamiento. 
villano realizarMaldad: congelamiento.

self assert: (unaCiudad temperatura) equals: 0.
self assert: (unMinion cantidadDeBananas) equals: 25.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 01:20'!
testIncrementarCantidadDeMisiones
villano planificar: roboPiramide. 
roboPiramide minionsAsignados do: [ :minion | minion incrementarCantidadDeMisiones ].

self assert: (unMinion cantidadDeMisiones) equals: 1.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:46'!
testMinionArmaMasPotente

unMinion otorgarArma: arma1.
unMinion otorgarArma: arma2.
unMinion otorgarArma: arma3.

self assert: (unMinion armaMasPotente) equals: arma2.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:23'!
testMinionCon15BananasTomaSueroMutante
unMinion tomarSuero.

self assert: (unMinion cantidadDeBananas) equals: 14.
self assert: (unMinion esPeligroso)! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:24'!
testMinionCon15BananasTomaSueroMutanteDosVeces
unMinion tomarSuero.
unMinion tomarSuero.

self assert: (unMinion cantidadDeBananas) equals: 13.
self deny: (unMinion esPeligroso).! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:44'!
testMinionConDosArmasTomaSueroMutante

unMinion otorgarArma: arma1.
unMinion otorgarArma: arma2.
unMinion tomarSuero.

self assert: (unMinion armas isEmpty)! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 22:32'!
testMinionConTresArmas

unMinion otorgarArma: arma1.
unMinion otorgarArma: arma2.

self assert: (unMinion cantidadDeArmas) equals: 3.
self assert: (unMinion nivelDeConcentracion) equals: 30.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 01:33'!
testMinionCumpleRequisitosParaRobarPiramide

self assert: (roboPiramide verificarRequisitosPara: unMinion).! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:51'!
testMinionMasInutiles
otroMinion:= villano nuevoMinion.
villano planificar: roboPiramide.

self assert: (villano minionsMasInutiles includes: otroMinion).
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:46'!
testMinionMasUtil
villano planificar: roboLuna.
villano planificar: congelamiento.

self assert: (villano minionMasUtil ) equals: unMinion.
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 23:26'!
testNivelConcentracionMinion
unMinion otorgarArma: arma1.
unMinion otorgarArma: arma2.
unMinion otorgarArma: arma3.

self assert: (unMinion nivelDeConcentracion) equals: 30.
! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 01:59'!
testPlanificacionPiramideTieneUnMinionAsignado
villano planificar: roboPiramide.

self assert: (roboPiramide minionsAsignados size) equals: 1.
self assert: (roboPiramide minionsAsignados includes: unMinion).! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 23:22'!
testPotenciaDeMinionArmaMasPotente

unMinion otorgarArma: arma1.
unMinion otorgarArma: arma2.
unMinion otorgarArma: arma3.

self assert: ((unMinion armaMasPotente) potencia) equals: 15.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:27'!
testRobarLuna
unMinion otorgarArma: arma3.
villano planificar: roboLuna. 
villano realizarMaldad: roboLuna.

self assert: (unaCiudad objetos size) equals: 2.
self assert: (unMinion armas size) equals: 3.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:21'!
testRobarPiramide
villano planificar: roboPiramide. 
villano realizarMaldad: roboPiramide.

self assert: (unaCiudad objetos size) equals: 2.
self assert: (unMinion cantidadDeBananas) equals: 25.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:22'!
testRobarSueroMutante
unMinion alimentar: 100.
villano planificar: roboSueroMutante. 
villano realizarMaldad: roboSueroMutante.

self assert: (unaCiudad objetos size) equals: 2.
self assert: (unMinion cantidadDeBananas) equals: 114.! !

!TestsVillanoFavorito methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 01:37'!
testVillanoTieneUnMinion

self assert: (villano minions includes: unMinion).
self assert: (villano minions size) equals: 1.! !

Object subclass: #Amarillo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Amarillo methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:24'!
esPeligroso: unMinion
^unMinion cantidadDeArmas > 2! !

!Amarillo methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 23:25'!
nivelDeConcentracion: unMinion
^(unMinion armaMasPotente) potencia + (unMinion cantidadDeBananas) ! !

!Amarillo methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:09'!
tomarSuero: unMinion
unMinion perderTodasLasArmas.
unMinion tipo: Violeta new.! !

Object subclass: #Arma
	instanceVariableNames: 'nombre potencia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Arma class methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:06'!
crearArma: nombre dePotencia: potencia
|arma|
arma := Arma new.
arma nombre: nombre.
arma potencia: potencia.
^arma! !

!Arma methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:46'!
nombre
	^ nombre! !

!Arma methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:46'!
nombre: anObject
	nombre := anObject! !

!Arma methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:46'!
potencia
	^ potencia! !

!Arma methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:46'!
potencia: anObject
	potencia := anObject! !

Object subclass: #Ciudad
	instanceVariableNames: 'temperatura objetos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:19'!
agregarObjeto: unObjeto
self objetos add: unObjeto! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 03:00'!
disminuirTemperatura: grados
self temperatura: (self temperatura - grados)! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:10'!
initialize
self objetos: Set new.
self temperatura: 30.! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 02:59'!
objetos
	^ objetos! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 02:59'!
objetos: anObject
	objetos := anObject! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:08'!
removerObjeto: unObjeto
objetos remove: unObjeto! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 02:59'!
temperatura
	^ temperatura! !

!Ciudad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 02:59'!
temperatura: anObject
	temperatura := anObject! !

Object subclass: #Luna
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Luna methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:11'!
premiar: minionsAsignados
minionsAsignados do: [ :minion | minion otorgarArma: (Arma crearArma: 'Rayo congelante' dePotencia: 10) ]! !

!Luna methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:25'!
realizarConsecuenciasDeMaldad: maldad enCiudad: ciudad
ciudad disminuirTemperatura: 15.
maldad otorgarATodosLosMinionsAsignadosUnRayoCongelanteDePotencia10.! !

!Luna methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:31'!
verificarRequisitosPara: unMinion
^unMinion tiene: 'Rayo para encoger'! !

Object subclass: #Maldad
	instanceVariableNames: 'minionsAsignados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

Maldad subclass: #Congelar
	instanceVariableNames: 'nivelRequerido'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Congelar methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 02:30'!
afectarEn: ciudad
ciudad disminuirTemperatura: 30.
self premiarMinionsAsignadosConDiezBananas.! !

!Congelar methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 01:34'!
initialize
self nivelRequerido: 500.! !

!Congelar methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 01:32'!
nivelRequerido
	^ nivelRequerido! !

!Congelar methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 01:32'!
nivelRequerido: anObject
	nivelRequerido := anObject! !

!Congelar methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:31'!
verificarRequisitosPara: unMinion
^(unMinion tiene: 'Rayo congelante') & (unMinion nivelDeConcentracion >= self nivelRequerido)! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:59'!
asignarMinions: minions
minionsAsignados := minions select: [ :minion | self verificarRequisitosPara: minion ]! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:16'!
incrementarCantidadDeMisionesDeMinionsAsignados
self minionsAsignados do: [ :minion | minion incrementarCantidadDeMisiones ]! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:55'!
initialize
minionsAsignados:= Set new.! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 03:09'!
minionsAsignados
	^ minionsAsignados! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 03:09'!
minionsAsignados: anObject
	minionsAsignados := anObject! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 02:15'!
otorgarATodosLosMinionsAsignadosUnRayoCongelanteDePotencia10
minionsAsignados do: [ :minion | minion otorgarArma: (Arma crearArma: 'Rayo congelante' dePotencia: 10) ]! !

!Maldad methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:13'!
premiarMinionsAsignadosConDiezBananas
self minionsAsignados do: [ :minion | minion alimentar: 10 ]! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:14'!
realizarMaldadEn: unaCiudad
self incrementarCantidadDeMisionesDeMinionsAsignados.
self afectarEn: unaCiudad.! !

!Maldad methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 02:14'!
todosLosMinionsAsignadosTomanSuero
self minionsAsignados do: [ :minion | minion tomarSuero ]! !

Maldad subclass: #Robar
	instanceVariableNames: 'objetoARobar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Robar methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:10'!
afectarEn: ciudad
(self objetoARobar) realizarConsecuenciasDeMaldad: self enCiudad: ciudad.
ciudad removerObjeto: (self objetoARobar).! !

!Robar methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 20:23'!
objetoARobar
	^ objetoARobar! !

!Robar methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 20:23'!
objetoARobar: anObject
	objetoARobar := anObject! !

!Robar methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:28'!
verificarRequisitosPara: unMinion
^objetoARobar verificarRequisitosPara: unMinion! !

Object subclass: #Minion
	instanceVariableNames: 'armas cantidadDeBananas tipo cantidadDeMisiones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 02:11'!
alimentar: cantBananas
cantidadDeBananas := cantidadDeBananas + cantBananas! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 23:15'!
armaMasPotente
^(self armas) detectMax: [ :arma | arma potencia ]! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:52'!
armas
	^ armas! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 02:06'!
armas: anObject
	armas := anObject! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 02:13'!
cantidadDeArmas
^armas size! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:55'!
cantidadDeBananas
	^ cantidadDeBananas! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:56'!
cantidadDeBananas: cantidad
cantidadDeBananas := cantidad! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 00:19'!
cantidadDeMisiones
	^ cantidadDeMisiones! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/25/2014 00:19'!
cantidadDeMisiones: anObject
	cantidadDeMisiones := anObject! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 03:24'!
esPeligroso
^(self tipo) esPeligroso: self! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 03:01'!
estaBienAlimentado
^cantidadDeBananas >= 100! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:51'!
incrementarCantidadDeMisiones
self cantidadDeMisiones: (self cantidadDeMisiones + 1)! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:11'!
initialize
self tipo: Amarillo new.
self cantidadDeBananas: 5.
self cantidadDeMisiones: 0.
self armas: Set new.
self otorgarArma: (Arma crearArma: 'Rayo congelante' dePotencia: 10) ! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 03:28'!
nivelDeConcentracion
^(self tipo) nivelDeConcentracion: self! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 02:10'!
otorgarArma: unArma
armas add: unArma! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 03:08'!
perderTodasLasArmas
self armas removeAll.! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 02:41'!
perderUnaBanana
self cantidadDeBananas: (self cantidadDeBananas - 1)! !

!Minion methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:30'!
tiene: unArma
^(self armas) anySatisfy: [ :arma | arma nombre = unArma ]! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:52'!
tipo
	^ tipo! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 01:52'!
tipo: anObject
	tipo := anObject! !

!Minion methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 22:28'!
tomarSuero
tipo tomarSuero: self.
self perderUnaBanana.! !

Object subclass: #Piramide
	instanceVariableNames: 'altura'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Piramide methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 02:34'!
altura
	^ altura! !

!Piramide methodsFor: 'accessing' stamp: 'JessSaavedra 10/24/2014 02:34'!
altura: anObject
	altura := anObject! !

!Piramide methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:58'!
initialize
self altura: 40! !

!Piramide methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 02:13'!
realizarConsecuenciasDeMaldad: maldad enCiudad: ciudad
maldad premiarMinionsAsignadosConDiezBananas.! !

!Piramide methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:28'!
verificarRequisitosPara: unMinion
^(unMinion nivelDeConcentracion) >= (self altura / 2)! !

Object subclass: #SueroMutante
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!SueroMutante methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:14'!
realizarConsecuenciasDeMaldad: maldad enCiudad: ciudad
maldad todosLosMinionsAsignadosTomanSuero! !

!SueroMutante methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:28'!
verificarRequisitosPara: unMinion
^(unMinion estaBienAlimentado) & (unMinion nivelDeConcentracion >=23)! !

Object subclass: #Villano
	instanceVariableNames: 'minions ciudad maldades'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 20:24'!
agregarMaldad: maldad
self maldades add: maldad! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:16'!
ciudad
	^ ciudad! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:16'!
ciudad: anObject
	ciudad := anObject! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 01:03'!
initialize 
minions := Set new.
maldades := Set new.! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:03'!
maldades
	^ maldades! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 01:03'!
maldades: anObject
	maldades := anObject! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:48'!
minionMasUtil
^minions detectMax: [ :minion | minion cantidadDeMisiones ]! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:16'!
minions
	^ minions! !

!Villano methodsFor: 'accessing' stamp: 'JessSaavedra 10/27/2014 00:16'!
minions: anObject
	minions := anObject! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 02:48'!
minionsMasInutiles
^minions collect: [ :minion | minion cantidadDeMisiones = 0 ]! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:09'!
nuevoMinion
| minion |
minion := Minion new.
minions add: minion.
^minion! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 21:25'!
planificar: maldad
maldad asignarMinions: (self minions).
self agregarMaldad: maldad.
! !

!Villano methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/25/2014 22:03'!
realizarMaldad: maldad
maldad realizarMaldadEn: (self ciudad)! !

Object subclass: #Violeta
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MiVillanoFavorito'!

!Violeta methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:24'!
esPeligroso: unMinion
^true! !

!Violeta methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/24/2014 03:26'!
nivelDeConcentracion: unMinion
^unMinion cantidadDeBananas! !

!Violeta methodsFor: 'as yet unclassified' stamp: 'JessSaavedra 10/27/2014 00:06'!
tomarSuero: unMinion
unMinion tipo: Amarillo new.! !
